Bug 818330 - Git/ssh error on git clone GIT_URL: ControlPath too long
Git/ssh error on git clone GIT_URL: ControlPath too long
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-02 15:24 EDT by Nam Duong
Modified: 2015-05-14 21:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-25 01:43:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-05-02 15:24:12 EDT
Description of problem:
See forum post:

This user ran into a very specific ssh error:
$ git clone GIT_URL
Cloning into 'myapp'...
ControlPath too long
fatal: The remote end hung up unexpectedly

Added the following to ~/.ssh/config:
Host *.rhcloud.com
    ControlPath ~/.ssh/control-%h

For this enhancement, should we include this into our rhc client tool's ssh environment config?  Does it hurt?

Please note that this is the first time I've seen this exact error, but I haven't been *looking for it.
Comment 1 Clayton Coleman 2012-05-03 18:55:49 EDT
Changing the ControlPath means that multiple SSH agents might collide - I don't think restricting it this way is a good idea.  We might be able to shorten the hostname or user.  I think if they followed these steps they would only be able to ssh/git on one process at a time

Can you document this as a workaround in the KB for now?
Comment 2 Clayton Coleman 2012-06-21 10:40:24 EDT
I opened a KB article for this.  https://openshift.redhat.com/community/kb/kb-e1046-unable-to-git-clone-an-application-when-ssh-multiplexing-is-in-use-controlpath-too-long.  We have no easy path to implement this in the CLI and changing the Git URL is fairly expensive.  Not many folks have hit this.
Comment 3 Xiaoli Tian 2012-06-25 01:43:58 EDT
Since there's a KB for this, and according to comment 2, close it as won't fix.

Note You need to log in before you can comment on or make changes to this bug.